Subject: FW: Holiday Entry in ermt
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 11 Jan 2002 08:45:44 -0800 (PST)

Completed - thanks.

 -----Original Message-----
From: 	McLaughlin Jr., Errol  
Sent:	Thursday, January 10, 2002 4:42 PM
To:	Wong, Jeremy
Subject:	RE: Holiday Entry in ermt

Thanks.  No Concerns

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Thursday, January 10, 2002 4:36 PM
To:	McLaughlin Jr., Errol
Cc:	Lim, Francis S.
Subject:	FW: Holiday Entry in ermt

Errol:

I will be performing the following 2 tasks tomorrow morning in the production database.
You have already approved of both of these tasks - please let me know if you do not
want me to do this tomorrow.

(1) Remove Jul. 5 and Nov. 28/29 2002 as business days from the NYMEX calendar. On completion of this, all the
holidays will have been removed as business days for 2002.

(2) The day after Thanksgiving used to be a business day until 1998 - it has became a holiday since then.
The futures/options expiration dates for Dec. NG NYMEX contracts were calculated with the day after Thanksgiving 
as a business day. I will correct these dates for 2002 (from Nov. 26 to Nov. 25 for futures, from Nov. 25 to Nov. 22 for 
options) and update the affected NX1, NX3 and NXB2 deals. (There will be a slight effect on your books.)
(We have been performing this task once a year since 1998.)

Please let me know if you have any concerns/questions.

Thanks,
Jeremy

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Tuesday, January 08, 2002 3:46 PM
To:	Lim, Francis S.
Subject:	FW: Holiday Entry in ermt

We need to remove the Thanksgiving holidays together with the fix outlined below - please
have Errol approve the holiday removal also - thanks.

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Monday, January 07, 2002 11:08 AM
To:	Lim, Francis S.
Subject:	FW: Holiday Entry in ermt

3 days have not been removed - Jul. 5 and Nov. 28/29.

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Monday, January 07, 2002 10:48 AM
To:	Lim, Francis S.
Subject:	RE: Holiday Entry in ermt

Has he approved the removal of holidays?

 -----Original Message-----
From: 	Lim, Francis S.  
Sent:	Monday, January 07, 2002 10:46 AM
To:	Wong, Jeremy
Subject:	FW: Holiday Entry in ermt

Jeremy,
Errol approved changes.
where can I find the scripts to run in production?

 -----Original Message-----
From: 	McLaughlin Jr., Errol  
Sent:	Thursday, January 03, 2002 10:30 AM
To:	Lim, Francis S.
Subject:	RE: Holiday Entry in ermt

Thursday and Friday (11/27 & 11/28) are both holidays.  Please make the appropriate changes.

Errol

 -----Original Message-----
From: 	Lim, Francis S.  
Sent:	Thursday, January 03, 2002 10:27 AM
To:	Gossett, Jeffrey C.; McLaughlin Jr., Errol
Subject:	FW: Holiday Entry in ermt

We are still waiting for you approval on this.
Thanks,
Francis

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Wednesday, January 02, 2002 10:16 AM
To:	Lim, Francis S.
Subject:	FW: Holiday Entry in ermt

Any progress on this? - thanks.

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Thursday, December 06, 2001 10:35 AM
To:	Lim, Francis S.
Cc:	Cheung, Cecilia
Subject:	FW: Holiday Entry in ermt

Truong was supposed to check with Errol before we do this in prod. - do you know
if he got approval?

I have done this in devel. with Truong - we can do this together in stage/prod.

Thanks.

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Tuesday, November 27, 2001 10:45 AM
To:	Lim, Francis S.
Cc:	Vu, Truong
Subject:	FW: Holiday Entry in ermt

Francis/Truong:

Another issue we have to deal with yearly is the day after Thanksgiving - it was not a NYMEX holiday until 1998, and it seems like 
it will be a holiday next year.

The NG futures and options termination dates are stored in ermt as the 3rd business day from the end of the month and the 4th
business day respectively. For November, this was calculated with the day after Thanksgiving as a business day - these 2 dates may
need to change now that it is a holiday.

We have a number of complicated scripts that updates the termination dates, the deals and the averaging dates that we run once
a year to fix this problem.

I will need to work with you and Truong this week to do this for 2002 - let me setup the scripts and then I will go through with the 2
of you and do the fix together.

Truong:

Please check with Errol:

(1) The day after Thanksgiving 2002 is a NYMEX holiday.

(2) As such, the futures termination date for Dec. 2002 is Nov. 25, and not Nov. 26 (NX1 date).

(3) The options termination date for Dec. 2002 is Nov. 22, and not Nov. 25.

Thanks.

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Tuesday, November 27, 2001 10:32 AM
To:	Lim, Francis S.
Cc:	Vu, Truong
Subject:	FW: Holiday Entry in ermt

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Wednesday, September 12, 2001 11:41 AM
To:	Lim, Francis S.
Cc:	Husain, Karima; Cheung, Cecilia; Vu, Truong
Subject:	Holiday Entry in ermt

Francis:

(1) Truong has been in charge of putting in holidays into the database (actually we don't store holidays, we remove them
as business days), and Cecilia has been in charge of creating new calendars in the database - these 2 duties should 
probably be done by 1 person with a backup.

(2) 5 active calendars are currently defined, with the user group owner identified:
NYMEX - Gas (with EGM and EIM also) 
IPE - EGM (Houston)
SIMEX - EGM (Singapore)
TOCOM (Tokyo) - EGM (Singapore)
NYMEX + IPE (this is an intersection of business days - i.e. a holiday in either exchange is a holiday in this calendar.) - EGM (Houston)

(3) We usually remove holidays as business days 1 year at a time, a few weeks before the start of the next year, by getting
 the list of holidays from our user group, as identified above.  We then get approval from them as to the day they want us to 
do it.

(4) A number of holidays in the future years have already been removed as business days due to user requests - Truong has the list.

(5) Please ensure that this process is continued.

Thanks,
Jeremy